--- title: "Edit SSO user access rule" slug: "put-user-access-rule" updated: 2026-09-17T10:05:35Z published: 2026-09-17T10:05:35Z canonical: "api.ncloud-docs.com/put-user-access-rule" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Edit SSO user access rule Available in Classic and VPC Edit an SSO user access rule. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | PUT | /api/v1/users/{userId}/access-rules | ### Request headers For information about the headers common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On request headers](/docs/en/single-sign-on-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `userId` | String | Required | SSO user ID list - See [Get SSO user list](/docs/en/get-users) | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `consoleAccessAllowed` | Boolean | Required | Whether to allow console access - `true` \| `false` - `true`: allow - `false`: not allow | | `apiAccessAllowed` | Boolean | Required | Whether to allow API Gateway access - `true` \| `false` - `true`: allow - `false`: not allow | ### Request example The request example is as follows: ``` curl --location --request PUT 'https://sso.apigw.ntruss.com/api/v1/users/ba0def04-****-****-****-ff0b962016f7/access-rules' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --data '{ "consoleAccessAllowed": false, "apiAccessAllowed": false }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | String | - | SSO user ID | | `nrn` | String | - | NAVER Cloud Platform resource identification value for SSO user | | `success` | Boolean | - | API processing result | ### Response status codes For information about the response status codes common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On response status codes](/docs/en/single-sign-on-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "id": "ba0def04-****-****-****-ff0b962016f7", "nrn": "nrn:PUB:SSO::*******:User/ba0def04-****-****-****-ff0b962016f7", "success": true } ```